import { connect } from 'react-redux';

import { getProfileAvatarUrl } from '../../selectors/profile.js';

import HeaderContentRight from './HeaderContentRight.js';

const matchStateToProps = (state, ownProps) => ({
    avatarUrl: getProfileAvatarUrl(state),
    hideUserProfileButton:
        ['Profile', 'Register', 'SignInOrRegister'].indexOf(ownProps.navigation.state.routeName) >
        -1,
});

export default connect(
    matchStateToProps,
    null,
)(HeaderContentRight);
